Anti-Splog compatibility

Does anyone know if I can use this with a newer version of buddy press. I'm using trunk-r2454

Thanks,

Brian